This is the multi-page printable view of this section. Click here to print.

Return to the regular view of this page.

DNS

Overview

Provides an Application Programming Interface (API) that supports programmatic use of IaaS/PaaS products provided by SCP.

This guide provides a brief description of DNS service and how to call API. The API is provided as a RESTful API, and it responds in JSON format.

Version

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionStatusNot Before
1.3CURRENT-

OpenAPI URL

https://dns.{region}.{environment}.samsungsdscloud.com

Environment and Region List

environmentregion
skr-west1
skr-east1
gkr-south1
gkr-south2
gkr-south3
ekr-west1
ekr-east1

API Version History

1.3

  • DNS API has been updated to version 1.3.
  • DNS API versions 1.0 to 1.2 have been deprecated.

Changes

  • [Changed] POST /dns/1.1/hosted-zones - CreateHostedZone API has been changed.
    • The email field has been removed from the request.
  • [Changed] GET /dns/1.1/hosted-zones/{hosted_zone_id} - ShowHostedZone API has been changed.
    • The email field has been removed from the response.
  • [Changed] PUT /dns/1.1/hosted-zones/{hosted_zone_id} - SetHostedZone API has been changed.
    • The email field has been removed from the request.
  • [Changed] GET /dns/1.1/hosted-zones/{hosted_zone_id}/records - ListHostedZoneRecords API has been changed.
    • Zone apex record name is displayed as-is (without @. notation).
  • [Changed] GET /dns/1.1/public-domain-names - ListPublicDomainNames API has been changed.
    • Operation ID has been changed to listPublicDomainNames.
  • [Changed] POST /dns/1.1/public-domain-names - CreatePublicDomainName API has been changed.
    • Operation ID has been changed to createPublicDomainName.
  • [Changed] GET /dns/1.1/public-domain-names/{public_domain_id} - ShowPublicDomainName API has been changed.
    • Operation ID has been changed to showPublicDomainName.
  • [Changed] PUT /dns/1.1/public-domain-names/{public_domain_id} - SetPublicDomainName API has been changed.
    • Operation ID has been changed to setPublicDomainName.
  • [New] POST /dns/1.3/public-domain-names/{public_domain_id}/transfer - TransferPublicDomainName 1.3 API has been added.

1.2

DNS API has been updated to version 1.2.

Changes

  • [Changed] GET /dns/1.1/hosted-zones - ListHostedZones API has been changed.
    • The following field has been added to the response:
      • private_dns_name (Private DNS name lookup)
  • [Changed] GET /dns/1.1/hosted-zones/{hosted_zone_id} - ShowHostedZone API has been changed.
    • The following field has been added to the response:
      • private_dns_name (Private DNS name lookup)

1.1

DNS API has been updated to version 1.1.

Changes

  • [Changed] PATCH /dns/1.0/hosted-zones/{zone_id} - SetHostedZone 1.0 API has been changed.
    • Replaced by PUT /dns/1.0/hosted-zones/{hosted_zone_id} API.
  • [Deleted] POST /dns/1.0/public-domain-names/{public_domain_id}/renew - RenewPublicDomainName 1.0 API has been deleted.
    • This API is no longer available.
  • [Changed] GET /dns/1.1/hosted-zones/{hosted_zone_id}/records - ListHostedZoneRecords API has been changed.
    • Zone apex record name is displayed using @. notation.
  • [Changed] POST /dns/1.0/private-dns - CreatePrivateDns API has been changed.
    • The following fields have been added to the request:
      • registered_region
      • private_dns_cr_id

1.0

DNS API has been released.

Changes

  • [New] GET /dns/1.0/hosted-zones - ListHostedZones 1.0 API has been added.
  • [New] POST /dns/1.0/hosted-zones - CreateHostedZone 1.0 API has been added.
  • [New] GET /dns/1.0/hosted-zones/{zone_id} - ShowHostedZone 1.0 API has been added.
  • [New] PATCH /dns/1.0/hosted-zones/{zone_id} - SetHostedZone 1.0 API has been added.
  • [New] DELETE /dns/1.0/hosted-zones/{zone_id} - DeleteHostedZone 1.0 API has been added.
  • [New] GET /dns/1.0/hosted-zones/{zone_id}/records - ListHostedZoneRecords 1.0 API has been added.
  • [New] POST /dns/1.0/hosted-zones/{zone_id}/records - CreateHostedZoneRecord 1.0 API has been added.
  • [New] GET /dns/1.0/hosted-zones/{zone_id}/records/{recordset_id} - ShowHostedZoneRecord 1.0 API has been added.
  • [New] PUT /dns/1.0/hosted-zones/{zone_id}/records/{recordset_id} - SetHostedZoneRecord 1.0 API has been added.
  • [New] DELETE /dns/1.0/hosted-zones/{zone_id}/records/{recordset_id} - DeleteHostedZoneRecord 1.0 API has been added.
  • [New] GET /dns/1.0/private-dns - ListPrivateDns 1.0 API has been added.
  • [New] POST /dns/1.0/private-dns - CreatePrivateDns 1.0 API has been added.
  • [New] GET /dns/1.0/private-dns/{private_dns_id} - ShowPrivateDns 1.0 API has been added.
  • [New] PUT /dns/1.0/private-dns/{private_dns_id} - SetPrivateDns 1.0 API has been added.
  • [New] DELETE /dns/1.0/private-dns/{private_dns_id} - DeletePrivateDns 1.0 API has been added.
  • [New] POST /dns/1.0/private-dns/activate - ActivatePrivateDns 1.0 API has been added.
  • [New] GET /dns/1.0/public-domain-names - ListPublicDomainNames 1.0 API has been added.
  • [New] POST /dns/1.0/public-domain-names - CreatePublicDomainName 1.0 API has been added.
  • [New] GET /dns/1.0/public-domain-names/{public_domain_id} - ShowPublicDomainName 1.0 API has been added.
  • [New] PUT /dns/1.0/public-domain-names/{public_domain_id} - SetPublicDomainName 1.0 API has been added.
  • [New] PUT /dns/1.0/public-domain-names/{public_domain_id}/information - SetPublicDomainNameWhoisInfo 1.0 API has been added.
  • [New] POST /dns/1.0/public-domain-names/{public_domain_id}/renew - RenewPublicDomainName 1.0 API has been added.

1 - APIs

1.1 - Activate Private DNS

1.1.1 - 1.3

post /v1/private-dns/activate

Description

Activate Private DNS

State ACTIVE (CURRENT)

VersionNot Before
1.3-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

PrivateDnsActivateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedPrivateDnsShowResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/private-dns/activate

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = dns 1.3"

Request body

{
    "name": "private-dns01"
}

Example HTTP response

Response 202

{
    "private_dns": {
        "auth_dns_name": "authdns-a1b2c3d4e5f6789012345678abcdef90",
        "connected_vpc_ids": [
            "1234567890abcdef1234567890abcdef",
            "fedcba0987654321fedcba0987654321"
        ],
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "This is description",
        "id": "fedcba9876543210fedcba9876543210",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "private-dns01",
        "pool_id": "12345678-90ab-cdef-1234-567890abcdef",
        "pool_name": "private01-a1b2c3d4e5f6789012345678abcdef90",
        "registered_region": "KR-WEST1",
        "resolver_ip": "198.19.0.101",
        "resolver_name": "resolver-a1b2c3d4e5f6789012345678abcdef90",
        "state": "ACTIVE"
    }
}

1.2 - Create Hosted Zone

1.2.1 - 1.3

post /v1/hosted-zones

Description

Create a hosted zone that contains DNS records for managing domain name resolution.

State ACTIVE (CURRENT)

VersionNot Before
1.3-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

HostedZoneCreateRequestV1Dot3

Responses

HTTP CodeDescriptionSchema
202AcceptedHostedZoneShowResponseV1Dot3
400Bad RequestNone
403ForbiddenNone
409ConflictNone

Example HTTP request

Request path

/v1/hosted-zones

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = dns 1.3"

Request body

{
    "description": "This is description",
    "name": "my-zone.com",
    "private_dns_id": "fedcba9876543210fedcba9876543210",
    "tags": [],
    "type": "private"
}

Example HTTP response

Response 202

{
    "created_at": "2024-05-17T00:23:17Z",
    "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
    "description": "This is description",
    "hosted_zone_type": "public",
    "id": "3432012nfdksdf03ktrld9234lgfg",
    "modified_at": "2024-05-17T00:23:17Z",
    "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
    "name": "my-zone.com",
    "pool_id": "12345678-90ab-cdef-1234-567890abcdef",
    "private_dns_id": "fedcba9876543210fedcba9876543210",
    "private_dns_name": "private-dns01",
    "status": "CREATING",
    "ttl": 3600
}

1.3 - Create Hosted Zone Record

1.3.1 - 1.3

post /v1/hosted-zones/{hosted_zone_id}/records

Description

Create a DNS record resource for managing domain name resolution.

State ACTIVE (CURRENT)

VersionNot Before
1.3-

Parameters

TypeNameDescriptionSchemaDefault
pathhosted_zone_id
required
The unique identifier of the hosted zone.
Example : 3432012nfdksdf03ktrld9234lgfg
stringNone
bodybody
required

RecordCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedRecordCreateResponse
400Bad RequestNone
403ForbiddenNone
409ConflictNone

Example HTTP request

Request path

/v1/hosted-zones/{hosted_zone_id}/records

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = dns 1.3"

Request body

{
    "description": "This is description",
    "name": "test.app",
    "records": [
        "12345.ns.private.kr-west1.dev2.samsungsdscloud.com"
    ],
    "ttl": 3600,
    "type": "A"
}

Example HTTP response

Response 202

{
    "action": "CREATE",
    "created_at": "2025-09-08T03:43:57Z",
    "description": "This is description",
    "id": "6ed7bc1-4b05-3cc7-7105-c1b71f7f30a7",
    "links": "",
    "name": "test.app",
    "project_id": "003dffc50eb123a1cbf4f2e5c71d4f15",
    "records": [
        "12345.ns.private.kr-west1.dev2.samsungsdscloud.com"
    ],
    "status": "ACTIVE",
    "ttl": 3600,
    "type": "A",
    "updated_at": "2026-02-09T08:00:40Z",
    "version": 1,
    "zone_id": "3432012nfdksdf03ktrld9234lgfg",
    "zone_name": "my-zone.com"
}

1.4 - Create Private DNS

1.4.1 - 1.3

post /v1/private-dns

Description

Create a private DNS instance for managing internal DNS resolution.

State ACTIVE (CURRENT)

VersionNot Before
1.3-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

PrivateDnsCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedPrivateDnsShowResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/private-dns

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = dns 1.3"

Request body

{
    "connected_vpc_ids": [
        "1234567890abcdef1234567890abcdef",
        "fedcba0987654321fedcba0987654321"
    ],
    "description": "This is description",
    "name": "private-dns01",
    "tags": [
        {
            "key": "env",
            "value": "prod"
        }
    ]
}

Example HTTP response

Response 202

{
    "private_dns": {
        "auth_dns_name": "authdns-a1b2c3d4e5f6789012345678abcdef90",
        "connected_vpc_ids": [
            "1234567890abcdef1234567890abcdef",
            "fedcba0987654321fedcba0987654321"
        ],
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "This is description",
        "id": "fedcba9876543210fedcba9876543210",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "private-dns01",
        "pool_id": "12345678-90ab-cdef-1234-567890abcdef",
        "pool_name": "private01-a1b2c3d4e5f6789012345678abcdef90",
        "registered_region": "KR-WEST1",
        "resolver_ip": "198.19.0.101",
        "resolver_name": "resolver-a1b2c3d4e5f6789012345678abcdef90",
        "state": "ACTIVE"
    }
}

1.5 - Create Public Domain Name

1.5.1 - 1.3

post /v1/public-domain-names

Description

Create a public domain name registration resource.

State ACTIVE (CURRENT)

VersionNot Before
1.3-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

CreatePublicDomainRequest

Responses

HTTP CodeDescriptionSchema
201CreatedCreatePublicDomainResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/public-domain-names

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = dns 1.3"

Request body

{
    "address_type": "",
    "auto_extension": true,
    "description": "This is description",
    "domestic_first_address_en": "125 Olympic-ro 35-gil, Songpa-gu, Seoul",
    "domestic_first_address_ko": "서울특별시 송파구 올림픽로35길 125 (신천동)",
    "domestic_second_address_en": "West Campus 1F",
    "domestic_second_address_ko": "서관 1층",
    "name": "example.com",
    "overseas_first_address": "123 Main St",
    "overseas_second_address": "New York",
    "overseas_third_address": "NY 10001",
    "postal_code": "12345",
    "register_email": "admin@example.com",
    "register_name_en": "Hong Gildong",
    "register_name_ko": "홍길동",
    "register_telno": "",
    "tags": [
        {
            "key": "env",
            "value": "prod"
        }
    ]
}

Example HTTP response

Response 201

{
    "public_domain_name": {
        "address_type": "DOMESTIC",
        "auto_extension": true,
        "created_at": "2025-09-08T03:43:57Z",
        "created_by": "504f24f8111e42e0578f367acd2a149f",
        "description": "This is description",
        "domestic_address_en": "West Campus 1F, 125 Olympic-ro 35-gil, Songpa-gu, Seoul",
        "domestic_address_ko": "서울특별시 송파구 올림픽로35길 125 (신천동), 서관 1층",
        "domestic_first_address_en": "125 Olympic-ro 35-gil, Songpa-gu, Seoul",
        "domestic_first_address_ko": "서울특별시 송파구 올림픽로35길 125 (신천동)",
        "domestic_second_address_en": "West Campus 1F",
        "domestic_second_address_ko": "서관 1층",
        "expired_date": "2026-09-09T00:00:00Z",
        "id": "10fjkeweffpublicdomain3193rud543",
        "modified_at": "2026-02-09T08:00:40Z",
        "modified_by": "504f24f8111e42e0578f367acd2a149f",
        "name": "example.com",
        "overseas_address": "123 Main St, New York, NY 10001",
        "overseas_first_address": "123 Main St",
        "overseas_second_address": "New York",
        "overseas_third_address": "NY 10001",
        "postal_code": "12345",
        "register_email": "admin@example.com",
        "register_name_en": "Hong Gildong",
        "register_name_ko": "홍길동",
        "register_telno": "",
        "start_date": "2025-09-09T00:00:00Z",
        "status": "REGISTERED"
    }
}

1.6 - Delete Hosted Zone

1.6.1 - 1.3

delete /v1/hosted-zones/{hosted_zone_id}

Description

Delete the hosted zone.

State ACTIVE (CURRENT)

VersionNot Before
1.3-

Parameters

TypeNameDescriptionSchemaDefault
pathhosted_zone_id
required
The unique identifier of the hosted zone.
Example : 3432012nfdksdf03ktrld9234lgfg
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedNone
400Bad RequestNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/hosted-zones/{hosted_zone_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = dns 1.3"

Example HTTP response

Response 202

1.7 - Delete Hosted Zone Record

1.7.1 - 1.3

delete /v1/hosted-zones/{hosted_zone_id}/records/{record_id}

Description

Delete the DNS record resource.

State ACTIVE (CURRENT)

VersionNot Before
1.3-

Parameters

TypeNameDescriptionSchemaDefault
pathhosted_zone_id
required
The identifier of the hosted zone that contains this DNS record.
Example : 3432012nfdksdf03ktrld9234lgfg
stringNone
pathrecord_id
required
The unique identifier of the DNS record.
Example : 6ed7bc1-4b05-3cc7-7105-c1b71f7f30a7
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedRecordCreateResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/hosted-zones/{hosted_zone_id}/records/{record_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = dns 1.3"

Example HTTP response

Response 202

{
    "action": "CREATE",
    "created_at": "2025-09-08T03:43:57Z",
    "description": "This is description",
    "id": "6ed7bc1-4b05-3cc7-7105-c1b71f7f30a7",
    "links": "",
    "name": "test.app",
    "project_id": "003dffc50eb123a1cbf4f2e5c71d4f15",
    "records": [
        "12345.ns.private.kr-west1.dev2.samsungsdscloud.com"
    ],
    "status": "ACTIVE",
    "ttl": 3600,
    "type": "A",
    "updated_at": "2026-02-09T08:00:40Z",
    "version": 1,
    "zone_id": "3432012nfdksdf03ktrld9234lgfg",
    "zone_name": "my-zone.com"
}

1.8 - Delete Private DNS

1.8.1 - 1.3

delete /v1/private-dns/{private_dns_id}

Description

Delete the private DNS instance.

State ACTIVE (CURRENT)

VersionNot Before
1.3-

Parameters

TypeNameDescriptionSchemaDefault
pathprivate_dns_id
required
The unique identifier of the private DNS.
Example : fedcba9876543210fedcba9876543210
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/private-dns/{private_dns_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = dns 1.3"

Example HTTP response

Response 202

1.9 - List Hosted Zone Records

1.9.1 - 1.3

get /v1/hosted-zones/{hosted_zone_id}/records

Description

Provides a list of DNS records.

State ACTIVE (CURRENT)

VersionNot Before
1.3-

Parameters

TypeNameDescriptionSchemaDefault
pathhosted_zone_id
required
The unique identifier of the hosted zone.
Example : 3432012nfdksdf03ktrld9234lgfg
stringNone
querylimit
optional
The maximum number of items to return.
Example :
any of [integer, null]None
querymarker
optional
The last record ID of the previous page.
Example :
any of [string, null]None
querysort_dir
optional
The sort direction for the list (ASC or DESC).
Example :
any of [string, null]None
querysort_key
optional
The field to sort by.
Example :
any of [string, null]None
queryname
optional
The name of the DNS record.
Example : test.app
any of [string, null]None
queryexact_name
optional
The name of the DNS record.
Example : test.app
any of [string, null]None
querytype
optional
The type of the DNS record (e.g., A, AAAA, CNAME, MX, TXT, SPF).
Example : A
any of [string, null]None
querydata
optional
The data to filter DNS records by.
Example : 12345.ns.private.kr-west1.dev2.samsungsdscloud.com
any of [string, null]None
querystatus
optional
The current status of the DNS record.
Example : ACTIVE
any of [string, null]None
querydescription
optional
Description
Example : This is description
any of [string, null]None
queryttl
optional
The Time-To-Live (TTL) value in seconds for the DNS record.
Example : 3600
any of [integer, null]None

Responses

HTTP CodeDescriptionSchema
200OKRecordListResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/hosted-zones/{hosted_zone_id}/records

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = dns 1.3"

Example HTTP response

Response 200

{
    "count": 20,
    "links": "",
    "metadata": "",
    "records": [
        {
            "action": "CREATE",
            "created_at": "2025-09-08T03:43:57Z",
            "description": "This is description",
            "id": "6ed7bc1-4b05-3cc7-7105-c1b71f7f30a7",
            "links": "",
            "name": "test.app",
            "project_id": "003dffc50eb123a1cbf4f2e5c71d4f15",
            "records": [
                "12345.ns.private.kr-west1.dev2.samsungsdscloud.com"
            ],
            "status": "ACTIVE",
            "ttl": 3600,
            "type": "A",
            "updated_at": "2026-02-09T08:00:40Z",
            "version": 1,
            "zone_id": "3432012nfdksdf03ktrld9234lgfg",
            "zone_name": "my-zone.com"
        }
    ]
}

1.10 - List Hosted Zones

1.10.1 - 1.3

get /v1/hosted-zones

Description

Provides a list of hosted zones.

State ACTIVE (CURRENT)

VersionNot Before
1.3-

Parameters

TypeNameDescriptionSchemaDefault
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryname
optional
The domain name that a DNS service manages. all DNS records for that domain and its sub‑domains are stored and served within this hosted zone.
Example : my-zone.com
any of [string, null]None
querytype
optional
The type of the hosted zone (e.g., public or private).
Example :
any of [enum (public, private), null]None
querystatus
optional
The current status of the hosted zone (e.g., ACTIVE, CREATING, DELETING).
Example :
any of [enum (CREATING, EDITING, ACTIVE, DELETING, DELETED, ERROR, PENDING, UNKNOWN), null]None

Responses

HTTP CodeDescriptionSchema
200OKHostedZoneListResponseV1Dot3
403ForbiddenNone

Example HTTP request

Request path

/v1/hosted-zones

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = dns 1.3"

Example HTTP response

Response 200

{
    "count": 20,
    "hosted_zones": [
        {
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "description": "This is description",
            "hosted_zone_type": "public",
            "id": "3432012nfdksdf03ktrld9234lgfg",
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "name": "my-zone.com",
            "pool_id": "12345678-90ab-cdef-1234-567890abcdef",
            "private_dns_id": "fedcba9876543210fedcba9876543210",
            "private_dns_name": "private-dns01",
            "status": "CREATING",
            "ttl": 3600
        }
    ],
    "page": 0,
    "size": 20,
    "sort": [
        "created_at:asc"
    ]
}

1.11 - List Private DNS

1.11.1 - 1.3

get /v1/private-dns

Description

Provides a list of private DNS instances.

State ACTIVE (CURRENT)

VersionNot Before
1.3-

Parameters

TypeNameDescriptionSchemaDefault
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryid
optional
The unique identifier of the private DNS.
Example : fedcba9876543210fedcba9876543210
any of [string, null]None
queryname
optional
The name of the private DNS.
Example : private-dns01
any of [string, null]None
queryvpc_id
optional
The list of VPC identifiers connected to this private DNS.Only VPCs that are connected to the DNS can query the domain information registered in it.
Example : 7df8abb4912e4709b1cb237daccca7a8
any of [string, null]None
querystate
optional
State
Example : ACTIVE
any of [enum (CREATING, EDITING, ACTIVE, ACTIVATING, INACTIVE, DELETING, DELETED, ERROR, PENDING), null]None

Responses

HTTP CodeDescriptionSchema
200OKPrivateDnsListResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/private-dns

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = dns 1.3"

Example HTTP response

Response 200

{
    "count": 20,
    "page": 0,
    "private_dns": [
        {
            "auth_dns_name": "authdns-a1b2c3d4e5f6789012345678abcdef90",
            "connected_vpc_ids": [
                "1234567890abcdef1234567890abcdef",
                "fedcba0987654321fedcba0987654321"
            ],
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "description": "This is description",
            "id": "fedcba9876543210fedcba9876543210",
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "name": "private-dns01",
            "pool_id": "12345678-90ab-cdef-1234-567890abcdef",
            "pool_name": "private01-a1b2c3d4e5f6789012345678abcdef90",
            "registered_region": "KR-WEST1",
            "resolver_ip": "198.19.0.101",
            "resolver_name": "resolver-a1b2c3d4e5f6789012345678abcdef90",
            "state": "ACTIVE"
        }
    ],
    "size": 20,
    "sort": [
        "created_at:asc"
    ]
}

1.12 - List Public Domain Names

1.12.1 - 1.3

get /v1/public-domain-names

Description

Provides a list of public domain names.

State ACTIVE (CURRENT)

VersionNot Before
1.3-

Parameters

TypeNameDescriptionSchemaDefault
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryname
optional
The name of the public domain name.
Example : example.com
any of [string, null]None
querycreated_by
optional
The user id that created the resource.
Example : 504f24f8111e42e0578f367acd2a149f
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKPublicDomainListResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/public-domain-names

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = dns 1.3"

Example HTTP response

Response 200

{
    "count": 20,
    "page": 0,
    "public_domain_names": [
        {
            "created_at": "2025-09-08T03:43:57Z",
            "created_by": "504f24f8111e42e0578f367acd2a149f",
            "expired_date": "2026-09-09T00:00:00Z",
            "id": "10fjkeweffpublicdomain3193rud543",
            "modified_at": "2026-02-09T08:00:40Z",
            "modified_by": "504f24f8111e42e0578f367acd2a149f",
            "name": "example.com",
            "register_email": "admin@example.com",
            "start_date": "2025-09-09T00:00:00Z",
            "status": "REGISTERED"
        }
    ],
    "size": 20,
    "sort": [
        "created_at:asc"
    ]
}

1.13 - Set Hosted Zone

1.13.1 - 1.3

put /v1/hosted-zones/{hosted_zone_id}

Description

Update the hosted zone.

State ACTIVE (CURRENT)

VersionNot Before
1.3-

Parameters

TypeNameDescriptionSchemaDefault
pathhosted_zone_id
required
The unique identifier of the hosted zone.
Example : 3432012nfdksdf03ktrld9234lgfg
stringNone
bodybody
required

HostedZoneSetRequestV1Dot3

Responses

HTTP CodeDescriptionSchema
202AcceptedHostedZoneShowResponseV1Dot3
400Bad RequestNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/hosted-zones/{hosted_zone_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = dns 1.3"

Request body

{
    "description": "This is description"
}

Example HTTP response

Response 202

{
    "created_at": "2024-05-17T00:23:17Z",
    "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
    "description": "This is description",
    "hosted_zone_type": "public",
    "id": "3432012nfdksdf03ktrld9234lgfg",
    "modified_at": "2024-05-17T00:23:17Z",
    "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
    "name": "my-zone.com",
    "pool_id": "12345678-90ab-cdef-1234-567890abcdef",
    "private_dns_id": "fedcba9876543210fedcba9876543210",
    "private_dns_name": "private-dns01",
    "status": "CREATING",
    "ttl": 3600
}

1.14 - Set Hosted Zone Record

1.14.1 - 1.3

put /v1/hosted-zones/{hosted_zone_id}/records/{record_id}

Description

Update the DNS record values.

State ACTIVE (CURRENT)

VersionNot Before
1.3-

Parameters

TypeNameDescriptionSchemaDefault
pathhosted_zone_id
required
The identifier of the hosted zone that contains this DNS record.
Example : 3432012nfdksdf03ktrld9234lgfg
stringNone
pathrecord_id
required
The unique identifier of the DNS record.
Example : 6ed7bc1-4b05-3cc7-7105-c1b71f7f30a7
stringNone
bodybody
required

RecordSetRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedRecordSetResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/hosted-zones/{hosted_zone_id}/records/{record_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = dns 1.3"

Request body

{
    "records": [
        "12345.ns.private.kr-west1.dev2.samsungsdscloud.com"
    ],
    "ttl": 3600
}

Example HTTP response

Response 202

{
    "action": "CREATE",
    "created_at": "2025-09-08T03:43:57Z",
    "description": "This is description",
    "id": "6ed7bc1-4b05-3cc7-7105-c1b71f7f30a7",
    "links": "",
    "name": "test.app",
    "project_id": "003dffc50eb123a1cbf4f2e5c71d4f15",
    "records": [
        "12345.ns.private.kr-west1.dev2.samsungsdscloud.com"
    ],
    "status": "ACTIVE",
    "ttl": 3600,
    "type": "A",
    "updated_at": "2026-02-09T08:00:40Z",
    "version": 1,
    "zone_id": "3432012nfdksdf03ktrld9234lgfg",
    "zone_name": "my-zone.com"
}

1.15 - Set Private DNS

1.15.1 - 1.3

put /v1/private-dns/{private_dns_id}

Description

Update the private DNS connected VPC List.

State ACTIVE (CURRENT)

VersionNot Before
1.3-

Parameters

TypeNameDescriptionSchemaDefault
pathprivate_dns_id
required
The unique identifier of the private DNS.
Example : fedcba9876543210fedcba9876543210
stringNone
bodybody
required

PrivateDnsSetRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedPrivateDnsShowResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/private-dns/{private_dns_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = dns 1.3"

Request body

{
    "connected_vpc_ids": [
        "1234567890abcdef1234567890abcdef",
        "fedcba0987654321fedcba0987654321"
    ],
    "description": "This is description"
}

Example HTTP response

Response 202

{
    "private_dns": {
        "auth_dns_name": "authdns-a1b2c3d4e5f6789012345678abcdef90",
        "connected_vpc_ids": [
            "1234567890abcdef1234567890abcdef",
            "fedcba0987654321fedcba0987654321"
        ],
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "This is description",
        "id": "fedcba9876543210fedcba9876543210",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "private-dns01",
        "pool_id": "12345678-90ab-cdef-1234-567890abcdef",
        "pool_name": "private01-a1b2c3d4e5f6789012345678abcdef90",
        "registered_region": "KR-WEST1",
        "resolver_ip": "198.19.0.101",
        "resolver_name": "resolver-a1b2c3d4e5f6789012345678abcdef90",
        "state": "ACTIVE"
    }
}

1.16 - Set Public Domain Name

1.16.1 - 1.3

put /v1/public-domain-names/{public_domain_id}

Description

Update the public domain name.

State ACTIVE (CURRENT)

VersionNot Before
1.3-

Parameters

TypeNameDescriptionSchemaDefault
pathpublic_domain_id
required
The unique identifier of the public domain name.
Example : 10fjkeweffpublicdomain3193rud543
stringNone
bodybody
required

PublicDomainPartialUpdateRequest

Responses

HTTP CodeDescriptionSchema
200OKPublicDomainPartialUpdateResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/public-domain-names/{public_domain_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = dns 1.3"

Request body

{
    "auto_extension": true,
    "description": "This is description"
}

Example HTTP response

Response 200

{
    "auto_extension": true,
    "description": "This is description",
    "id": "10fjkeweffpublicdomain3193rud543"
}

1.17 - Set Public Domain Name Whois Info

1.17.1 - 1.3

put /v1/public-domain-names/{public_domain_id}/information

Description

Update Public Domain Name Whois Info

State ACTIVE (CURRENT)

VersionNot Before
1.3-

Parameters

TypeNameDescriptionSchemaDefault
pathpublic_domain_id
required
The unique identifier of the public domain name.
Example : 10fjkeweffpublicdomain3193rud543
stringNone
bodybody
required

PubblicDomainWhoisInfoUpdateRequest

Responses

HTTP CodeDescriptionSchema
200OKPublicDomainWhoisInfoUpdateResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone
500Internal Server ErrorNone

Example HTTP request

Request path

/v1/public-domain-names/{public_domain_id}/information

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = dns 1.3"

Request body

{
    "address_type": "",
    "domestic_first_address_en": "125 Olympic-ro 35-gil, Songpa-gu, Seoul",
    "domestic_first_address_ko": "서울특별시 송파구 올림픽로35길 125 (신천동)",
    "domestic_second_address_en": "West Campus 1F",
    "domestic_second_address_ko": "서관 1층",
    "overseas_first_address": "123 Main St",
    "overseas_second_address": "New York",
    "overseas_third_address": "NY 10001",
    "postal_code": "12345",
    "register_email": "admin@example.com",
    "register_telno": ""
}

Example HTTP response

Response 200

{
    "address_type": "",
    "domestic_first_address_en": "125 Olympic-ro 35-gil, Songpa-gu, Seoul",
    "domestic_first_address_ko": "서울특별시 송파구 올림픽로35길 125 (신천동)",
    "domestic_second_address_en": "West Campus 1F",
    "domestic_second_address_ko": "서관 1층",
    "name": "example.com",
    "overseas_first_address": "123 Main St",
    "overseas_second_address": "New York",
    "overseas_third_address": "NY 10001",
    "postal_code": "12345",
    "register_email": "admin@example.com",
    "register_name_en": "Hong Gildong",
    "register_name_ko": "홍길동",
    "register_telno": ""
}

1.18 - Show Hosted Zone

1.18.1 - 1.3

get /v1/hosted-zones/{hosted_zone_id}

Description

Provides details about a specific hosted zone.

State ACTIVE (CURRENT)

VersionNot Before
1.3-

Parameters

TypeNameDescriptionSchemaDefault
pathhosted_zone_id
required
The unique identifier of the hosted zone.
Example : 3432012nfdksdf03ktrld9234lgfg
stringNone

Responses

HTTP CodeDescriptionSchema
200OKHostedZoneShowResponseV1Dot3
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/hosted-zones/{hosted_zone_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = dns 1.3"

Example HTTP response

Response 200

{
    "created_at": "2024-05-17T00:23:17Z",
    "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
    "description": "This is description",
    "hosted_zone_type": "public",
    "id": "3432012nfdksdf03ktrld9234lgfg",
    "modified_at": "2024-05-17T00:23:17Z",
    "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
    "name": "my-zone.com",
    "pool_id": "12345678-90ab-cdef-1234-567890abcdef",
    "private_dns_id": "fedcba9876543210fedcba9876543210",
    "private_dns_name": "private-dns01",
    "status": "CREATING",
    "ttl": 3600
}

1.19 - Show Hosted Zone Record

1.19.1 - 1.3

get /v1/hosted-zones/{hosted_zone_id}/records/{record_id}

Description

Provides details about a specific DNS record.

State ACTIVE (CURRENT)

VersionNot Before
1.3-

Parameters

TypeNameDescriptionSchemaDefault
pathhosted_zone_id
required
The identifier of the hosted zone that contains this DNS record.
Example : 3432012nfdksdf03ktrld9234lgfg
stringNone
pathrecord_id
required
The unique identifier of the DNS record.
Example : 6ed7bc1-4b05-3cc7-7105-c1b71f7f30a7
stringNone

Responses

HTTP CodeDescriptionSchema
200OKRecordShowResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/hosted-zones/{hosted_zone_id}/records/{record_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = dns 1.3"

Example HTTP response

Response 200

{
    "action": "CREATE",
    "created_at": "2025-09-08T03:43:57Z",
    "description": "This is description",
    "id": "6ed7bc1-4b05-3cc7-7105-c1b71f7f30a7",
    "links": "",
    "name": "test.app",
    "project_id": "003dffc50eb123a1cbf4f2e5c71d4f15",
    "records": [
        "12345.ns.private.kr-west1.dev2.samsungsdscloud.com"
    ],
    "status": "ACTIVE",
    "ttl": 3600,
    "type": "A",
    "updated_at": "2026-02-09T08:00:40Z",
    "version": 1,
    "zone_id": "3432012nfdksdf03ktrld9234lgfg",
    "zone_name": "my-zone.com"
}

1.20 - Show Private DNS

1.20.1 - 1.3

get /v1/private-dns/{private_dns_id}

Description

Provides details about a specific private DNS.

State ACTIVE (CURRENT)

VersionNot Before
1.3-

Parameters

TypeNameDescriptionSchemaDefault
pathprivate_dns_id
required
The unique identifier of the private DNS.
Example : fedcba9876543210fedcba9876543210
stringNone

Responses

HTTP CodeDescriptionSchema
200OKPrivateDnsShowResponse
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/private-dns/{private_dns_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = dns 1.3"

Example HTTP response

Response 200

{
    "private_dns": {
        "auth_dns_name": "authdns-a1b2c3d4e5f6789012345678abcdef90",
        "connected_vpc_ids": [
            "1234567890abcdef1234567890abcdef",
            "fedcba0987654321fedcba0987654321"
        ],
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "This is description",
        "id": "fedcba9876543210fedcba9876543210",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "private-dns01",
        "pool_id": "12345678-90ab-cdef-1234-567890abcdef",
        "pool_name": "private01-a1b2c3d4e5f6789012345678abcdef90",
        "registered_region": "KR-WEST1",
        "resolver_ip": "198.19.0.101",
        "resolver_name": "resolver-a1b2c3d4e5f6789012345678abcdef90",
        "state": "ACTIVE"
    }
}

1.21 - Show Public Domain Name

1.21.1 - 1.3

get /v1/public-domain-names/{public_domain_id}

Description

Provides details about a specific public domain name.

State ACTIVE (CURRENT)

VersionNot Before
1.3-

Parameters

TypeNameDescriptionSchemaDefault
pathpublic_domain_id
required
The unique identifier of the public domain name.
Example : 10fjkeweffpublicdomain3193rud543
stringNone

Responses

HTTP CodeDescriptionSchema
200OKPublicDomainDetailResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/public-domain-names/{public_domain_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = dns 1.3"

Example HTTP response

Response 200

{
    "public_domain_name": {
        "address_type": "DOMESTIC",
        "auto_extension": true,
        "created_at": "2025-09-08T03:43:57Z",
        "created_by": "504f24f8111e42e0578f367acd2a149f",
        "description": "This is description",
        "domestic_address_en": "West Campus 1F, 125 Olympic-ro 35-gil, Songpa-gu, Seoul",
        "domestic_address_ko": "서울특별시 송파구 올림픽로35길 125 (신천동), 서관 1층",
        "domestic_first_address_en": "125 Olympic-ro 35-gil, Songpa-gu, Seoul",
        "domestic_first_address_ko": "서울특별시 송파구 올림픽로35길 125 (신천동)",
        "domestic_second_address_en": "West Campus 1F",
        "domestic_second_address_ko": "서관 1층",
        "expired_date": "2026-09-09T00:00:00Z",
        "id": "10fjkeweffpublicdomain3193rud543",
        "modified_at": "2026-02-09T08:00:40Z",
        "modified_by": "504f24f8111e42e0578f367acd2a149f",
        "name": "example.com",
        "overseas_address": "123 Main St, New York, NY 10001",
        "overseas_first_address": "123 Main St",
        "overseas_second_address": "New York",
        "overseas_third_address": "NY 10001",
        "postal_code": "12345",
        "register_email": "admin@example.com",
        "register_name_en": "Hong Gildong",
        "register_name_ko": "홍길동",
        "register_telno": "",
        "start_date": "2025-09-09T00:00:00Z",
        "status": "REGISTERED"
    }
}

1.22 - Transfer Public Domain Name

1.22.1 - 1.3

post /v1/public-domain-names/{public_domain_id}/transfer

Description

Transfer The Public Domain Name to other Account

State ACTIVE (CURRENT)

VersionNot Before
1.3-

Parameters

TypeNameDescriptionSchemaDefault
pathpublic_domain_id
required
The unique identifier of the public domain name.
Example : 10fjkeweffpublicdomain3193rud543
stringNone
bodybody
required

PublicDomainTransferRequest

Responses

HTTP CodeDescriptionSchema
200OKPublicDomainTransferResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/public-domain-names/{public_domain_id}/transfer

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = dns 1.3"

Request body

{
    "target_account_id": "003dffc50eb123a1cbf4f2e5c71d4f15",
    "type": "REQUEST"
}

Example HTTP response

Response 200

{
    "auto_extension": true,
    "created_at": "2024-05-17T00:23:17Z",
    "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
    "description": "This is description",
    "expired_date": "2026-09-09T00:00:00Z",
    "id": "10fjkeweffpublicdomain3193rud543",
    "modified_at": "2024-05-17T00:23:17Z",
    "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
    "name": "example.com",
    "start_date": "2025-09-09T00:00:00Z",
    "state": "TRANSFER_REQUESTED"
}

2 - Models

2.1 - CreatePublicDomainRequest

NameDescriptionSchemaDefault
address_type
required
The type of address for the domain registration.
Example :
string
auto_extension
optional
Indicates whether automatic extension is enabled for the domain.
Example : True
any of [boolean, null]True
description
optional
Description
Example : This is description
any of [string, null]
domestic_first_address_en
required
The first line of domestic address in English.
Example : 125 Olympic-ro 35-gil, Songpa-gu, Seoul
string
domestic_first_address_ko
required
The first line of domestic address in Korean.
Example : 서울특별시 송파구 올림픽로35길 125 (신천동)
string
domestic_second_address_en
required
The second line of domestic address in English.
Example : West Campus 1F
any of [string, null]
domestic_second_address_ko
required
The second line of domestic address in Korean.
Example : 서관 1층
Maximum length : 16
string
name
required
The name of the public domain name.
Example : example.com
Minimum length : 2
Maximum length : 63
string
overseas_first_address
required
The first line of overseas address.
Example : 123 Main St
any of [string, null]
overseas_second_address
required
The second line of overseas address.
Example : New York
any of [string, null]
overseas_third_address
required
The third line of overseas address.
Example : NY 10001
any of [string, null]
postal_code
required
The postal code for the domain registration.
Example : 12345
Maximum length : 6
string
register_email
required
The email address of the domain registrant.
Example : admin@example.com
Pattern : ^[a-zA-Z0-9._%+-]+@[a-zA-Z0-9.-]+\.[a-zA-Z]{2,}$
Minimum length : 6
Maximum length : 64
string
register_name_en
required
The name of the domain registrant in English.
Example : Hong Gildong
Minimum length : 1
Maximum length : 30
string
register_name_ko
required
The name of the domain registrant in Korean.
Example : 홍길동
Minimum length : 1
Maximum length : 30
string
register_telno
required
The telephone number of the domain registrant.
Example :
string
tags
optional
Tag List
Example : [{'key': 'env', 'value': 'prod'}]
array[Tag]

2.2 - CreatePublicDomainResponse

NameDescriptionSchemaDefault
public_domain_name
required

PublicDomainDetail

2.3 - HostedZoneCreateRequestV1Dot3

NameDescriptionSchemaDefault
description
optional
Description
Example : This is description
any of [string, null]
name
required
The domain name that a DNS service manages. all DNS records for that domain and its sub‑domains are stored and served within this hosted zone.
Example : my-zone.com
Minimum length : 2
Maximum length : 69
string
private_dns_id
optional
The DNS server ID for registering a Hosted Zone.For a Public‑type Hosted Zone, display it as an empty value.
Example : fedcba9876543210fedcba9876543210
any of [string, null]
tags
optional
Tag List
array[Tag]
type
required
The type of the hosted zone (e.g., public or private).
Example : private
enum (public, private)

2.4 - HostedZoneListResponseV1Dot3

NameDescriptionSchemaDefault
count
required
count
Example : 20
integer
hosted_zones
required
Hosted Zone LIST
array[HostedZoneV1Dot3]
page
required
page
Example : 0
integer
size
required
size
Example : 20
integer
sort
optional
sort
Example : ['created_at:asc']
any of [array[string], null]

2.5 - HostedZoneSetRequestV1Dot3

NameDescriptionSchemaDefault
description
optional
Description
Example : This is description
any of [string, null]

2.6 - HostedZoneShowResponseV1Dot3

NameDescriptionSchemaDefault
created_at
required
Created At
Example : 2024-05-17T00:23:17Z
string (date-time)
created_by
required
Created By
Example : 90dddfc2b1e04edba54ba2b41539a9ac
string
description
required
Description
Example : This is description
any of [string, null]
hosted_zone_type
optional
The type of the hosted zone (e.g., public or private).
Example : public
enum (public, private)
id
required
The unique identifier of the hosted zone.
Example : 3432012nfdksdf03ktrld9234lgfg
string
modified_at
required
Modified At
Example : 2024-05-17T00:23:17Z
string (date-time)
modified_by
required
Modified By
Example : 90dddfc2b1e04edba54ba2b41539a9ac
string
name
required
The domain name that a DNS service manages. all DNS records for that domain and its sub‑domains are stored and served within this hosted zone.
Example : my-zone.com
string
pool_id
required
The resource pool identifier associated with the hosted zone.
Example : 12345678-90ab-cdef-1234-567890abcdef
string
private_dns_id
optional
The DNS server ID for registering a Hosted Zone.For a Public‑type Hosted Zone, display it as an empty value.
Example : fedcba9876543210fedcba9876543210
any of [string, null]
private_dns_name
optional
The DNS server name for registering a Hosted Zone.For a Public‑type Hosted Zone, display it as an empty value.
Example : private-dns01
any of [string, null]
status
required
State
Example : CREATING
enum (CREATING, EDITING, ACTIVE, DELETING, DELETED, ERROR, PENDING, UNKNOWN)
ttl
optional
The Time-To-Live (TTL) value in seconds for DNS records in this zone.
Example : 3600
any of [integer, null]

2.7 - HostedZoneV1Dot3

NameDescriptionSchemaDefault
created_at
required
Created At
Example : 2024-05-17T00:23:17Z
string (date-time)
created_by
required
Created By
Example : 90dddfc2b1e04edba54ba2b41539a9ac
string
description
required
Description
Example : This is description
any of [string, null]
hosted_zone_type
optional
The type of the hosted zone (e.g., public or private).
Example : public
enum (public, private)
id
required
The unique identifier of the hosted zone.
Example : 3432012nfdksdf03ktrld9234lgfg
string
modified_at
required
Modified At
Example : 2024-05-17T00:23:17Z
string (date-time)
modified_by
required
Modified By
Example : 90dddfc2b1e04edba54ba2b41539a9ac
string
name
required
The domain name that a DNS service manages. all DNS records for that domain and its sub‑domains are stored and served within this hosted zone.
Example : my-zone.com
string
pool_id
required
The resource pool identifier associated with the hosted zone.
Example : 12345678-90ab-cdef-1234-567890abcdef
string
private_dns_id
optional
The DNS server ID for registering a Hosted Zone.For a Public‑type Hosted Zone, display it as an empty value.
Example : fedcba9876543210fedcba9876543210
any of [string, null]
private_dns_name
optional
The DNS server name for registering a Hosted Zone.For a Public‑type Hosted Zone, display it as an empty value.
Example : private-dns01
any of [string, null]
status
required
State
Example : CREATING
enum (CREATING, EDITING, ACTIVE, DELETING, DELETED, ERROR, PENDING, UNKNOWN)
ttl
optional
The Time-To-Live (TTL) value in seconds for DNS records in this zone.
Example : 3600
any of [integer, null]

2.8 - PrivateDns

NameDescriptionSchemaDefault
auth_dns_name
required
The authoritative DNS name of the private DNS.
Example : authdns-a1b2c3d4e5f6789012345678abcdef90
any of [string, null]
connected_vpc_ids
optional
The list of VPC identifiers connected to this private DNS.Only VPCs that are connected to the DNS can query the domain information registered in it.
Example : ['1234567890abcdef1234567890abcdef', 'fedcba0987654321fedcba0987654321']
array[string]
created_at
required
Created At
Example : 2024-05-17T00:23:17Z
string (date-time)
created_by
required
Created By
Example : 90dddfc2b1e04edba54ba2b41539a9ac
string
description
required
Description
Example : This is description
any of [string, null]
id
required
The unique identifier of the private DNS.
Example : fedcba9876543210fedcba9876543210
string
modified_at
required
Modified At
Example : 2024-05-17T00:23:17Z
string (date-time)
modified_by
required
Modified By
Example : 90dddfc2b1e04edba54ba2b41539a9ac
string
name
required
The name of the private DNS.
Example : private-dns01
string
pool_id
required
The resource pool identifier associated with the private DNS.
Example : 12345678-90ab-cdef-1234-567890abcdef
any of [string, null]
pool_name
required
The name of the resource pool.
Example : private01-a1b2c3d4e5f6789012345678abcdef90
any of [string, null]
registered_region
required
The region where the private DNS is registered.
Example : KR-WEST1
any of [string, null]
resolver_ip
required
The IP address of the DNS resolver.
Example : 198.19.0.101
any of [string, null]
resolver_name
required
The name of the DNS resolver.
Example : resolver-a1b2c3d4e5f6789012345678abcdef90
any of [string, null]
state
required
State
Example : ACTIVE
enum (CREATING, EDITING, ACTIVE, ACTIVATING, INACTIVE, DELETING, DELETED, ERROR, PENDING)

2.9 - PrivateDnsActivateRequest

NameDescriptionSchemaDefault
name
required
The name of the private DNS.
Example : private-dns01
Pattern : ^[a-zA-Z0-9-]*$
Minimum length : 3
Maximum length : 20
string

2.10 - PrivateDnsCreateRequest

NameDescriptionSchemaDefault
connected_vpc_ids
optional
The list of VPC identifiers connected to this private DNS.Only VPCs that are connected to the DNS can query the domain information registered in it.
Example : ['1234567890abcdef1234567890abcdef', 'fedcba0987654321fedcba0987654321']
array[string]
description
optional
Description
Example : This is description
any of [string, null]
name
required
The name of the private DNS.
Example : private-dns01
Pattern : ^[a-zA-Z0-9-]*$
Minimum length : 3
Maximum length : 20
string
tags
optional
Tag List
Example : [{'key': 'env', 'value': 'prod'}]
any of [array[Tag], null]

2.11 - PrivateDnsListResponse

NameDescriptionSchemaDefault
count
required
count
Example : 20
integer
page
required
page
Example : 0
integer
private_dns
required

array[PrivateDns]
size
required
size
Example : 20
integer
sort
optional
sort
Example : ['created_at:asc']
any of [array[string], null]

2.12 - PrivateDnsSetRequest

NameDescriptionSchemaDefault
connected_vpc_ids
optional
The list of VPC identifiers connected to this private DNS.Only VPCs that are connected to the DNS can query the domain information registered in it.
Example : ['1234567890abcdef1234567890abcdef', 'fedcba0987654321fedcba0987654321']
any of [array[string], null]
description
optional
Description
Example : This is description
any of [string, null]

2.13 - PrivateDnsShowResponse

NameDescriptionSchemaDefault
private_dns
required

PrivateDns

2.14 - PubblicDomainWhoisInfoUpdateRequest

NameDescriptionSchemaDefault
address_type
required
The type of address for the domain registration.
Example :
string
domestic_first_address_en
required
The first line of domestic address in English.
Example : 125 Olympic-ro 35-gil, Songpa-gu, Seoul
string
domestic_first_address_ko
required
The first line of domestic address in Korean.
Example : 서울특별시 송파구 올림픽로35길 125 (신천동)
string
domestic_second_address_en
required
The second line of domestic address in English.
Example : West Campus 1F
any of [string, null]
domestic_second_address_ko
required
The second line of domestic address in Korean.
Example : 서관 1층
Maximum length : 16
string
overseas_first_address
required
The first line of overseas address.
Example : 123 Main St
any of [string, null]
overseas_second_address
required
The second line of overseas address.
Example : New York
any of [string, null]
overseas_third_address
required
The third line of overseas address.
Example : NY 10001
any of [string, null]
postal_code
required
The postal code for the domain registration.
Example : 12345
Maximum length : 6
string
register_email
required
The email address of the domain registrant.
Example : admin@example.com
Pattern : ^[a-zA-Z0-9._%+-]+@[a-zA-Z0-9.-]+\.[a-zA-Z]{2,}$
Minimum length : 6
Maximum length : 64
string
register_telno
required
The telephone number of the domain registrant.
Example :
string

2.15 - PublicDomainDetail

NameDescriptionSchemaDefault
address_type
required
The type of address for the domain registration.
Example : DOMESTIC
string
auto_extension
required
Indicates whether automatic extension is enabled for the domain.
Example : True
boolean
created_at
required
The timestamp when the resource was created, in ISO 8601 format.
Example : 2025-09-08T03:43:57Z
string
created_by
required
The user id that created the resource.
Example : 504f24f8111e42e0578f367acd2a149f
string
description
optional
Description
Example : This is description
any of [string, null]
domestic_address_en
required
The domestic address in English for the domain registration.
Example : West Campus 1F, 125 Olympic-ro 35-gil, Songpa-gu, Seoul
string
domestic_address_ko
required
The domestic address in Korean for the domain registration.
Example : 서울특별시 송파구 올림픽로35길 125 (신천동), 서관 1층
string
domestic_first_address_en
required
The first line of domestic address in English.
Example : 125 Olympic-ro 35-gil, Songpa-gu, Seoul
string
domestic_first_address_ko
required
The first line of domestic address in Korean.
Example : 서울특별시 송파구 올림픽로35길 125 (신천동)
string
domestic_second_address_en
required
The second line of domestic address in English.
Example : West Campus 1F
string
domestic_second_address_ko
required
The second line of domestic address in Korean.
Example : 서관 1층
string
expired_date
required
The expiration date of the domain registration.
Example : 2026-09-09T00:00:00Z
string
id
required
The unique identifier of the public domain name.
Example : 10fjkeweffpublicdomain3193rud543
string
modified_at
required
The timestamp when the resource was last modified, in ISO 8601 format.
Example : 2026-02-09T08:00:40Z
string
modified_by
required
The user id that last modified the resource.
Example : 504f24f8111e42e0578f367acd2a149f
string
name
required
The name of the public domain name.
Example : example.com
string
overseas_address
optional
The overseas address for the domain registration.
Example : 123 Main St, New York, NY 10001
string
overseas_first_address
required
The first line of overseas address.
Example : 123 Main St
string
overseas_second_address
required
The second line of overseas address.
Example : New York
string
overseas_third_address
required
The third line of overseas address.
Example : NY 10001
string
postal_code
required
The postal code for the domain registration.
Example : 12345
string
register_email
required
The email address of the domain registrant.
Example : admin@example.com
string
register_name_en
required
The name of the domain registrant in English.
Example : Hong Gildong
string
register_name_ko
required
The name of the domain registrant in Korean.
Example : 홍길동
string
register_telno
required
The telephone number of the domain registrant.
Example :
string
start_date
required
The start date of the domain registration.
Example : 2025-09-09T00:00:00Z
string
status
required
The current status of the public domain name.
Example : REGISTERED
string

2.16 - PublicDomainDetailResponse

NameDescriptionSchemaDefault
public_domain_name
required

PublicDomainDetail

2.17 - PublicDomainListItem

NameDescriptionSchemaDefault
created_at
required
The timestamp when the resource was created, in ISO 8601 format.
Example : 2025-09-08T03:43:57Z
string
created_by
required
The user id that created the resource.
Example : 504f24f8111e42e0578f367acd2a149f
string
expired_date
required
The expiration date of the domain registration.
Example : 2026-09-09T00:00:00Z
string
id
required
The unique identifier of the public domain name.
Example : 10fjkeweffpublicdomain3193rud543
string
modified_at
required
The timestamp when the resource was last modified, in ISO 8601 format.
Example : 2026-02-09T08:00:40Z
string
modified_by
required
The user id that last modified the resource.
Example : 504f24f8111e42e0578f367acd2a149f
string
name
required
The name of the public domain name.
Example : example.com
string
register_email
required
The email address of the domain registrant.
Example : admin@example.com
string
start_date
required
The start date of the domain registration.
Example : 2025-09-09T00:00:00Z
string
status
required
The current status of the public domain name.
Example : REGISTERED
string

2.18 - PublicDomainListResponse

NameDescriptionSchemaDefault
count
required
count
Example : 20
integer
page
required
page
Example : 0
integer
public_domain_names
required

array[PublicDomainListItem]
size
required
size
Example : 20
integer
sort
optional
sort
Example : ['created_at:asc']
any of [array[string], null]

2.19 - PublicDomainPartialUpdateRequest

NameDescriptionSchemaDefault
auto_extension
optional
Indicates whether automatic extension is enabled for the domain.
Example : True
any of [boolean, null]
description
optional
Description
Example : This is description
any of [string, null]

2.20 - PublicDomainPartialUpdateResponse

NameDescriptionSchemaDefault
auto_extension
optional
Indicates whether automatic extension is enabled for the domain.
Example : True
any of [boolean, null]
description
optional
Description
Example : This is description
any of [string, null]
id
required
The unique identifier of the public domain name.
Example : 10fjkeweffpublicdomain3193rud543
string

2.21 - PublicDomainTransferRequest

NameDescriptionSchemaDefault
target_account_id
optional
Target account id (required when type=REQUEST)
Example : 003dffc50eb123a1cbf4f2e5c71d4f15
any of [string, null]
type
required
Transfer operation type
Example : REQUEST
enum (REQUEST, CANCEL, APPROVE, REJECT)

2.22 - PublicDomainTransferResponse

NameDescriptionSchemaDefault
auto_extension
required
Indicates whether automatic extension is enabled for the domain.
Example : True
boolean
created_at
required
Created At
Example : 2024-05-17T00:23:17Z
string (date-time)
created_by
required
Created By
Example : 90dddfc2b1e04edba54ba2b41539a9ac
string
description
required
Description
Example : This is description
any of [string, null]
expired_date
required
The expiration date of the domain registration.
Example : 2026-09-09T00:00:00Z
string (date-time)
id
required
The unique identifier of the public domain name.
Example : 10fjkeweffpublicdomain3193rud543
string
modified_at
required
Modified At
Example : 2024-05-17T00:23:17Z
string (date-time)
modified_by
required
Modified By
Example : 90dddfc2b1e04edba54ba2b41539a9ac
string
name
required
The name of the public domain name.
Example : example.com
string
start_date
required
The start date of the domain registration.
Example : 2025-09-09T00:00:00Z
string (date-time)
state
required
State
Example : TRANSFER_REQUESTED
enum (CREATING, REGISTERED, EXPIRED, DELETED, TRANSFER_REQUESTING, TRANSFER_REQUESTED, DELETING)

2.23 - PublicDomainWhoisInfoUpdateResponse

NameDescriptionSchemaDefault
address_type
required
The type of address for the domain registration.
Example :
string
domestic_first_address_en
required
The first line of domestic address in English.
Example : 125 Olympic-ro 35-gil, Songpa-gu, Seoul
string
domestic_first_address_ko
required
The first line of domestic address in Korean.
Example : 서울특별시 송파구 올림픽로35길 125 (신천동)
string
domestic_second_address_en
required
The second line of domestic address in English.
Example : West Campus 1F
any of [string, null]
domestic_second_address_ko
required
The second line of domestic address in Korean.
Example : 서관 1층
Maximum length : 16
string
name
required
The name of the public domain name.
Example : example.com
string
overseas_first_address
required
The first line of overseas address.
Example : 123 Main St
any of [string, null]
overseas_second_address
required
The second line of overseas address.
Example : New York
any of [string, null]
overseas_third_address
required
The third line of overseas address.
Example : NY 10001
any of [string, null]
postal_code
required
The postal code for the domain registration.
Example : 12345
Maximum length : 6
string
register_email
required
The email address of the domain registrant.
Example : admin@example.com
Pattern : ^[a-zA-Z0-9._%+-]+@[a-zA-Z0-9.-]+\.[a-zA-Z]{2,}$
Minimum length : 6
Maximum length : 64
string
register_name_en
required
The name of the domain registrant in English.
Example : Hong Gildong
string
register_name_ko
required
The name of the domain registrant in Korean.
Example : 홍길동
string
register_telno
required
The telephone number of the domain registrant.
Example :
string

2.24 - Record

NameDescriptionSchemaDefault
action
optional
The action performed on the DNS record.
Example : CREATE
any of [string, null]
created_at
optional
The timestamp when the resource was created, in ISO 8601 format.
Example : 2025-09-08T03:43:57Z
any of [string, null]
description
optional
Description
Example : This is description
any of [string, null]
id
optional
The unique identifier of the DNS record.
Example : 6ed7bc1-4b05-3cc7-7105-c1b71f7f30a7
any of [string, null]
links
optional
The links related to the DNS record.
Example :
any of [object, null]
name
optional
The name of the DNS record.
Example : test.app
any of [string, null]
project_id
optional
The project identifier associated with the DNS record.
Example : 003dffc50eb123a1cbf4f2e5c71d4f15
any of [string, null]
records
optional
A list of data for this record
Example : ['12345.ns.private.kr-west1.dev2.samsungsdscloud.com']
any of [array[string], null]
status
optional
The current status of the DNS record.
Example : ACTIVE
any of [string, null]
ttl
optional
The Time-To-Live (TTL) value in seconds for the DNS record.
Example : 3600
any of [integer, null]
type
optional
The type of the DNS record (e.g., A, AAAA, CNAME, MX, TXT, SPF).
Example : A
any of [string, null]
updated_at
optional
The timestamp when the resource was last updated, in ISO 8601 format.
Example : 2026-02-09T08:00:40Z
any of [string, null]
version
optional
The version of the DNS record.
Example : 1
any of [integer, null]
zone_id
optional
ID for the zone that contains this record
Example : 3432012nfdksdf03ktrld9234lgfg
any of [string, null]
zone_name
optional
The name of the zone that contains this record
Example : my-zone.com
any of [string, null]

2.25 - RecordCreateRequest

NameDescriptionSchemaDefault
description
optional
Description
Example : This is description
any of [string, null]
name
required
The name of the DNS record.
Example : test.app
Minimum length : 1
Maximum length : 253
string
records
required
A list of data for this record
Example : ['12345.ns.private.kr-west1.dev2.samsungsdscloud.com']
array[object]
ttl
optional
The Time-To-Live (TTL) value in seconds for the DNS record.
Example : 3600
any of [integer, null]
type
required
The type of the DNS record (e.g., A, AAAA, CNAME, MX, TXT, SPF).
Example : A
enum (A, AAAA, CNAME, TXT, SPF, MX)

2.26 - RecordCreateResponse

NameDescriptionSchemaDefault
action
optional
The action performed on the DNS record.
Example : CREATE
any of [string, null]
created_at
optional
The timestamp when the resource was created, in ISO 8601 format.
Example : 2025-09-08T03:43:57Z
any of [string, null]
description
optional
Description
Example : This is description
any of [string, null]
id
optional
The unique identifier of the DNS record.
Example : 6ed7bc1-4b05-3cc7-7105-c1b71f7f30a7
any of [string, null]
links
optional
The links related to the DNS record.
Example :
any of [object, null]
name
optional
The name of the DNS record.
Example : test.app
any of [string, null]
project_id
optional
The project identifier associated with the DNS record.
Example : 003dffc50eb123a1cbf4f2e5c71d4f15
any of [string, null]
records
optional
A list of data for this record
Example : ['12345.ns.private.kr-west1.dev2.samsungsdscloud.com']
any of [array[string], null]
status
optional
The current status of the DNS record.
Example : ACTIVE
any of [string, null]
ttl
optional
The Time-To-Live (TTL) value in seconds for the DNS record.
Example : 3600
any of [integer, null]
type
optional
The type of the DNS record (e.g., A, AAAA, CNAME, MX, TXT, SPF).
Example : A
any of [string, null]
updated_at
optional
The timestamp when the resource was last updated, in ISO 8601 format.
Example : 2026-02-09T08:00:40Z
any of [string, null]
version
optional
The version of the DNS record.
Example : 1
any of [integer, null]
zone_id
optional
ID for the zone that contains this record
Example : 3432012nfdksdf03ktrld9234lgfg
any of [string, null]
zone_name
optional
The name of the zone that contains this record
Example : my-zone.com
any of [string, null]

2.27 - RecordListResponse

NameDescriptionSchemaDefault
count
optional
total count
Example : 20
any of [integer, null]
links
optional
The links related to the DNS record.
Example :
any of [object, null]
metadata
optional
Total Count
Example :
any of [object, null]
records
required
Record list
array[Record]

2.28 - RecordSetRequest

NameDescriptionSchemaDefault
records
optional
A list of data for this record
Example : ['12345.ns.private.kr-west1.dev2.samsungsdscloud.com']
any of [array[object], null]
ttl
optional
The Time-To-Live (TTL) value in seconds for the DNS record.
Example : 3600
any of [integer, null]

2.29 - RecordSetResponse

NameDescriptionSchemaDefault
action
optional
The action performed on the DNS record.
Example : CREATE
any of [string, null]
created_at
optional
The timestamp when the resource was created, in ISO 8601 format.
Example : 2025-09-08T03:43:57Z
any of [string, null]
description
optional
Description
Example : This is description
any of [string, null]
id
optional
The unique identifier of the DNS record.
Example : 6ed7bc1-4b05-3cc7-7105-c1b71f7f30a7
any of [string, null]
links
optional
The links related to the DNS record.
Example :
any of [object, null]
name
optional
The name of the DNS record.
Example : test.app
any of [string, null]
project_id
optional
The project identifier associated with the DNS record.
Example : 003dffc50eb123a1cbf4f2e5c71d4f15
any of [string, null]
records
optional
A list of data for this record
Example : ['12345.ns.private.kr-west1.dev2.samsungsdscloud.com']
any of [array[string], null]
status
optional
The current status of the DNS record.
Example : ACTIVE
any of [string, null]
ttl
optional
The Time-To-Live (TTL) value in seconds for the DNS record.
Example : 3600
any of [integer, null]
type
optional
The type of the DNS record (e.g., A, AAAA, CNAME, MX, TXT, SPF).
Example : A
any of [string, null]
updated_at
optional
The timestamp when the resource was last updated, in ISO 8601 format.
Example : 2026-02-09T08:00:40Z
any of [string, null]
version
optional
The version of the DNS record.
Example : 1
any of [integer, null]
zone_id
optional
ID for the zone that contains this record
Example : 3432012nfdksdf03ktrld9234lgfg
any of [string, null]
zone_name
optional
The name of the zone that contains this record
Example : my-zone.com
any of [string, null]

2.30 - RecordShowResponse

NameDescriptionSchemaDefault
action
optional
The action performed on the DNS record.
Example : CREATE
any of [string, null]
created_at
optional
The timestamp when the resource was created, in ISO 8601 format.
Example : 2025-09-08T03:43:57Z
any of [string, null]
description
optional
Description
Example : This is description
any of [string, null]
id
optional
The unique identifier of the DNS record.
Example : 6ed7bc1-4b05-3cc7-7105-c1b71f7f30a7
any of [string, null]
links
optional
The links related to the DNS record.
Example :
any of [object, null]
name
optional
The name of the DNS record.
Example : test.app
any of [string, null]
project_id
optional
The project identifier associated with the DNS record.
Example : 003dffc50eb123a1cbf4f2e5c71d4f15
any of [string, null]
records
optional
A list of data for this record
Example : ['12345.ns.private.kr-west1.dev2.samsungsdscloud.com']
any of [array[string], null]
status
optional
The current status of the DNS record.
Example : ACTIVE
any of [string, null]
ttl
optional
The Time-To-Live (TTL) value in seconds for the DNS record.
Example : 3600
any of [integer, null]
type
optional
The type of the DNS record (e.g., A, AAAA, CNAME, MX, TXT, SPF).
Example : A
any of [string, null]
updated_at
optional
The timestamp when the resource was last updated, in ISO 8601 format.
Example : 2026-02-09T08:00:40Z
any of [string, null]
version
optional
The version of the DNS record.
Example : 1
any of [integer, null]
zone_id
optional
ID for the zone that contains this record
Example : 3432012nfdksdf03ktrld9234lgfg
any of [string, null]
zone_name
optional
The name of the zone that contains this record
Example : my-zone.com
any of [string, null]

2.31 - Tag

NameDescriptionSchemaDefault
key
required
tag key
Example :
string
value
required
tag value
Example :
string